/**
 * Created by Administrator on 2021/4/5.
 */
define(['jquery', "template", "Tools", "announApi", "paging", 'swiper'], function ($, template, Tools ) {
    //数据存储
    var module = {
        data: {
            //焦点图数据
            focusListTop: [],
            //公告列表
            announcementInformationList:'',
            //鉴证列表
            attestationInformationList:'',
            //鉴证列表
            winTheBiddingInformationList:'',
            //鉴证列表
            inviteTendersInformationList:'',
            stopInformationList:'',
            abnormalInformationList:'',
            //页码
            pageNum: 1,
            //页码集合
            pageList: [],
            //每页数量
            pageSize: 50,
            //总页数
            pageCount:0,
            //选中卡ID
            clickType:'announcement'
        },
    };
    var tools = new Tools();

    module.init = function (page) {
        //获取焦点图信息
        tools.doGet(websitePicture, {picType:1,status:0,orderByColumn:'picSort',isAsc:'desc'}, module.focusNewsTop , true);
        //底部友情链接
        tools.doGet(friendsLinks, {}, module.bottomFriendsLinks, true);
        //成交公告
        tools.doGet(announList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.announInformation,true);
        var type = getQueryVariable('type');
        var keyWord = getQueryVariable('searchKeyWord');
        if(type != undefined && type != ''){
            //console.log('搜索进入')
            tabList(type);
            tools.doGet(jzsSearch, {deptId:100, jzsNum:keyWord,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.attestationInformation,true);
        }else{
            //console.log('正常进入')
            //鉴证公告
            tools.doGet(attestationList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.attestationInformation,true);
            tools.doGet(tenderList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.inviteTendersInformation,true);
            tools.doGet(winList, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.winTheBiddingInformation,true);
            tools.doGet(outProjectTerminate, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.stopInformation,true);
            tools.doGet(outProjectException, {deptId:100,pageNum:module.data.pageNum,pageSize:module.data.pageSize}, module.abnormalInformation,true);
        }
        //网站配置信息（网站名称 底部联系方式 公安备案号 网站备案号）
        tools.getWebConfig();
    };

    //焦点图数据
    module.focusNewsTop = function (data) {
        if (data.code == 200) {


            let focusArray = [];

            if(data.data.length<1){
                focusArray.push({
                    picUrl:'../../../static/images/banner1.png'
                },{
                    picUrl:'../../../static/images/banner2.png'
                },{
                    picUrl:'../../../static/images/banner3.png'
                })
            }else{
                data.data.forEach(res=>{
                    focusArray.push({
                        picUrl:'/api'+res.picUrl
                    })
                })
            }

            module.data.focusListTop = focusArray;
            var bannerFocusDataTop = template('bannerFocusDataTop', module.data);
            $("#bannerFocusTopContent").html(bannerFocusDataTop);

            new Swiper('#bannerFocusWrapTop', {
                paginationClickable: true,
                autoplay : 4000,
                loop:true
            })

        }
    }

    //底部友情链接
    module.bottomFriendsLinks = function (data) {
        if (data.code == 200) {
            var content = data.data;
            //console.log(content)
            module.data.friendsLinksList = content;
            var friendsLinksData = template('friendsLinksData', module.data);
            $("#friendsLinksContent").html(friendsLinksData);
        }
    }
    //获取地址栏参数
    function getQueryVariable(variable){
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i=0;i<vars.length;i++) {
            var pair = vars[i].split("=");
            if(pair[0] == variable){return pair[1];}
        }
        return(false);
    }

    //项目公告数据
    module.announInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.announcementInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s1');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s1').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.announcementInformationList = content;
            var announcementInformationData = template('announcementInformationData', module.data);
            $("#announcementInformationContent").html(announcementInformationData);
        }
    }

    //项目公告数据  abnormalInformation
    module.stopInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.stopInformationList == ''){
                // 初始化 分页器
                var page_s5=createPage('.page_s5');
                // 设置分页
                setPage(page_s5,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s5').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.stopInformationList = content;
            var stopInformationData = template('stopInformationData', module.data);
            $("#stopInformationContent").html(stopInformationData);
        }
    }

    //项目公告数据
    module.abnormalInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.abnormalInformationList == ''){
                // 初始化 分页器
                var page_s6=createPage('.page_s6');
                // 设置分页
                setPage(page_s6,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s6').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.abnormalInformationList = content;
            var abnormalInformationData = template('abnormalInformationData', module.data);
            $("#abnormalInformationContent").html(abnormalInformationData);
        }
    }

    //鉴证公告数据
    module.attestationInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.attestationInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s2');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s2').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.attestationInformationList = content;
            var attestationInformationData = template('attestationInformationData', module.data);
            $("#attestationInformationContent").html(attestationInformationData);
        }
    }

    //招标公告数据
    module.inviteTendersInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.inviteTendersInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s3');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.toqtal, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s3').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.inviteTendersInformationList = content;
            var inviteTendersInformationData = template('inviteTendersInformationData', module.data);
            $("#inviteTendersInformationContent").html(inviteTendersInformationData);
        }
    }

    //中标公告数据
    module.winTheBiddingInformation = function (data) {
        if (data.code == 200) {
            var content = data.rows;
            var pageCount = (data.total/module.data.pageSize).toFixed(0);
            if (pageCount < 1){
                pageCount = 1;
            }
            if(module.data.winTheBiddingInformationList == ''){
                // 初始化 分页器
                var page_s1=createPage('.page_s4');
                // 设置分页
                setPage(page_s1,{
                    pageTotal: data.total, // 数据总条数
                    pageSize: module.data.pageSize,    // 每页显示条数
                    pageCurrent: 1,  //  当前页
                    maxBtnNum: 5,   // 最多按钮个数  （最少5个）
                })
                $('#page_s4').html('共'+pageCount+'页')
            }
            module.data.pageCount = pageCount;
            module.data.winTheBiddingInformationList = content;
            var winTheBiddingInformationData = template('winTheBiddingInformationData', module.data);
            $("#winTheBiddingInformationContent").html(winTheBiddingInformationData);
        }
    }

    tabList = function(type){
        //console.log(type)
        document.getElementById('attestationInformationContent').style.display = 'none';
        document.getElementById('announcementInformationContent').style.display = 'none';
        document.getElementById('inviteTendersInformationContent').style.display = 'none';
        document.getElementById('winTheBiddingInformationContent').style.display = 'none';
        document.getElementById('stopInformationContent').style.display = 'none';
        document.getElementById('abnormalInformationContent').style.display = 'none';
        document.getElementById(type+'InformationContent').style.display = 'block';

        document.getElementById('attestation').className = '';
        document.getElementById('announcement').className = '';
        document.getElementById('inviteTenders').className = '';
        document.getElementById('winTheBidding').className = '';
        document.getElementById('stop').className = '';
        document.getElementById('abnormal').className = '';
        document.getElementById(type).className = 'active';

        document.getElementById('attestationNum').style.display = 'none';
        document.getElementById('announcementNum').style.display = 'none';
        document.getElementById('inviteTendersNum').style.display = 'none';
        document.getElementById('winTheBiddingNum').style.display = 'none';
        document.getElementById('stopNum').style.display = 'none';
        document.getElementById('abnormalNum').style.display = 'none';
        document.getElementById(type+'Num').style.display = 'block';

        module.data.clickType = type;
        module.data.pageNum = 1 ;
    }

    turnThePage = function (pageNum) {
        module.data.pageNum = pageNum ;
        if(module.data.clickType == 'attestation'){
            if(getQueryVariable('searchKeyWord')!=undefined&&getQueryVariable('searchKeyWord')!=''){
                tools.doGet(jzsSearch, {deptId:100,projectName:getQueryVariable('searchKeyWord'),pageNum:pageNum,pageSize:module.data.pageSize}, module.attestationInformation,true);
            }
            tools.doGet(attestationList, {deptId:100,pageNum:pageNum,pageSize:module.data.pageSize}, module.attestationInformation,true);
        }
        if(module.data.clickType == 'announcement'){
            tools.doGet(announList, {deptId:100,pageNum:pageNum,pageSize:module.data.pageSize}, module.announInformation,true);
        }
    }
    return module;
});
